manifoldcf-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From iori...@apache.org
Subject svn commit: r1588362 - in /manifoldcf/release-scripts: check_signatures.sh release.sh
Date Thu, 17 Apr 2014 20:22:57 GMT
Author: iorixxx
Date: Thu Apr 17 20:22:57 2014
New Revision: 1588362

URL: http://svn.apache.org/r1588362
Log:
release helper scripts for unix

Added:
    manifoldcf/release-scripts/check_signatures.sh   (with props)
    manifoldcf/release-scripts/release.sh   (with props)

Added: manifoldcf/release-scripts/check_signatures.sh
URL: http://svn.apache.org/viewvc/manifoldcf/release-scripts/check_signatures.sh?rev=1588362&view=auto
==============================================================================
--- manifoldcf/release-scripts/check_signatures.sh (added)
+++ manifoldcf/release-scripts/check_signatures.sh Thu Apr 17 20:22:57 2014
@@ -0,0 +1,86 @@
+#!/bin/sh
+#
+# Crawls all release distribution artifacts at the given release RC URL
+# and downloads them to the current working directory. 
+# Performs MD5, SHA512 (hashes) and GPG (signature) verification on artifacts. 
+# 
+# Requires GnuPG, curl and diff installed on your computer.
+#
+# Licensed to the Apache Software Foundation (ASF) under one or more
+# contributor license agreements.  See the NOTICE file distributed with
+# this work for additional information regarding copyright ownership.
+# The ASF licenses this file to You under the Apache License, Version 2.0
+# (the "License"); you may not use this file except in compliance with
+# the License.  You may obtain a copy of the License at
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+
+if [ -z "$1" ];
+then
+	echo "Need a base URL, e.g. 'http://people.apache.org/~iorixxx/apache-manifoldcf-1.6-RC1/'"
+	echo "Usage check_signatures.sh <BaseURL>  <version>"
+	echo "example: check_signatures.sh http://people.apache.org/~iorixxx/apache-manifoldcf-1.6-RC1/
1.6"
+    exit 1
+fi
+
+if [ -z "$2" ];
+then
+	echo "Need a release version, e.g. '1.6'"
+	echo "Usage check_signatures.sh <BaseURL>  <version>"
+	echo "example: check_signatures.sh http://people.apache.org/~iorixxx/apache-manifoldcf-1.6-RC1/
1.6"
+    exit 1
+fi
+
+#import KEYS
+curl -O $1apache-manifoldcf-$2.KEYS
+echo "importing apache-manifoldcf-$2.KEYS file..."
+gpg --import apache-manifoldcf-$2.KEYS
+
+for TYPE in bin lib src
+
+do
+    for EXTENSION in zip tar.gz;
+   
+    do
+       
+        REALFILE="apache-manifoldcf-$2-$TYPE.$EXTENSION";          
+        echo "downlading file $REALFILE"; 
+        /usr/bin/curl --fail --silent -O $1/$REALFILE;
+        
+        for SIGN in asc md5 sha;
+    	
+    	do
+        	SIGNFILE="$REALFILE.$SIGN";        	
+        	
+        	/usr/bin/curl --fail --silent -O $1$SIGNFILE
+        	
+        	if [ $SIGN == "md5" ]; then
+        		echo "checking MD5 of $REALFILE...";          	
+        		gpg --print-md MD5 $REALFILE | diff - $SIGNFILE;
+        		continue;        	
+        	fi
+        	
+        	if [ $SIGN == "sha" ]; then        	
+        		echo "checking SHA512 of $REALFILE..."; 
+        		gpg --print-md SHA512 $REALFILE | diff - $SIGNFILE;  
+        		continue;      	
+        	fi
+        	
+        	if [ $SIGN == "asc" ]; then        	
+        	    echo "checking GPG signature of $REALFILE..."; 
+        		gpg --verify $SIGNFILE;  
+        		continue;       		  	
+        	fi       	
+
+    	done	
+    	    	
+    done	
+	
+done

Propchange: manifoldcf/release-scripts/check_signatures.sh
------------------------------------------------------------------------------
    svn:eol-style = native

Propchange: manifoldcf/release-scripts/check_signatures.sh
------------------------------------------------------------------------------
    svn:executable = *

Added: manifoldcf/release-scripts/release.sh
URL: http://svn.apache.org/viewvc/manifoldcf/release-scripts/release.sh?rev=1588362&view=auto
==============================================================================
--- manifoldcf/release-scripts/release.sh (added)
+++ manifoldcf/release-scripts/release.sh Thu Apr 17 20:22:57 2014
@@ -0,0 +1,69 @@
+#!/bin/sh
+
+# Licensed to the Apache Software Foundation (ASF) under one or more
+# contributor license agreements.  See the NOTICE file distributed with
+# this work for additional information regarding copyright ownership.
+# The ASF licenses this file to You under the Apache License, Version 2.0
+# (the "License"); you may not use this file except in compliance with
+# the License.  You may obtain a copy of the License at
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+if [ -z "$1" ];
+then
+	echo "Need a release version, e.g. '1.6'"
+	echo "Usage release <release_name> <apache_user_name> <release_candidate>"
+    exit 1
+fi
+
+if [ -z "$2" ];
+then
+	echo "Need an Apache user account name, e.g. 'kwright'"
+	echo "Usage release <release_name> <apache_user_name> <release_candidate>"
+    exit 1
+fi
+
+if [ -z "$3" ];
+then
+	echo "Need a release candidate version, e.g. 'RC0'"
+	echo "Usage release <release_name> <apache_user_name> <release_candidate>"
+    exit 1
+fi
+   
+ant clean clean-core-deps clean-deps
+rm -r apache-manifoldcf-*
+ant make-core-deps make-deps
+ant image
+
+gpg --armor --output apache-manifoldcf-$1-src.zip.asc --detach-sig apache-manifoldcf-$1-src.zip
+gpg --armor --output apache-manifoldcf-$1-src.tar.gz.asc --detach-sig apache-manifoldcf-$1-src.tar.gz
+gpg --armor --output apache-manifoldcf-$1-lib.zip.asc --detach-sig apache-manifoldcf-$1-lib.zip
+gpg --armor --output apache-manifoldcf-$1-lib.tar.gz.asc --detach-sig apache-manifoldcf-$1-lib.tar.gz
+gpg --armor --output apache-manifoldcf-$1-bin.zip.asc --detach-sig apache-manifoldcf-$1-bin.zip
+gpg --armor --output apache-manifoldcf-$1-bin.tar.gz.asc --detach-sig apache-manifoldcf-$1-bin.tar.gz
+
+gpg --print-md MD5 apache-manifoldcf-$1-src.zip > apache-manifoldcf-$1-src.zip.md5
+gpg --print-md MD5 apache-manifoldcf-$1-src.tar.gz > apache-manifoldcf-$1-src.tar.gz.md5
+gpg --print-md MD5 apache-manifoldcf-$1-lib.zip > apache-manifoldcf-$1-lib.zip.md5
+gpg --print-md MD5 apache-manifoldcf-$1-lib.tar.gz > apache-manifoldcf-$1-lib.tar.gz.md5
+gpg --print-md MD5 apache-manifoldcf-$1-bin.zip > apache-manifoldcf-$1-bin.zip.md5
+gpg --print-md MD5 apache-manifoldcf-$1-bin.tar.gz > apache-manifoldcf-$1-bin.tar.gz.md5
+
+gpg --print-md SHA512 apache-manifoldcf-$1-src.zip > apache-manifoldcf-$1-src.zip.sha
+gpg --print-md SHA512 apache-manifoldcf-$1-src.tar.gz > apache-manifoldcf-$1-src.tar.gz.sha
+gpg --print-md SHA512 apache-manifoldcf-$1-lib.zip > apache-manifoldcf-$1-lib.zip.sha
+gpg --print-md SHA512 apache-manifoldcf-$1-lib.tar.gz > apache-manifoldcf-$1-lib.tar.gz.sha
+gpg --print-md SHA512 apache-manifoldcf-$1-bin.zip > apache-manifoldcf-$1-bin.zip.sha
+gpg --print-md SHA512 apache-manifoldcf-$1-bin.tar.gz > apache-manifoldcf-$1-bin.tar.gz.sha
+
+cp KEYS apache-manifoldcf-$1.KEYS
+cp CHANGES.txt apache-manifoldcf-$1.CHANGES.txt
+
+ssh $2@people.apache.org "mkdir ~/public_html/apache-manifoldcf-$1-$3"
+scp apache-manifoldcf-$1* $2@people.apache.org:~/public_html/apache-manifoldcf-$1-$3

Propchange: manifoldcf/release-scripts/release.sh
------------------------------------------------------------------------------
    svn:eol-style = native

Propchange: manifoldcf/release-scripts/release.sh
------------------------------------------------------------------------------
    svn:executable = *



Mime
View raw message